Bug 743966 - Compiler warnings in account usability plugin
Summary: Compiler warnings in account usability plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 690319 389_1.2.10
TreeView+ depends on / blocked
 
Reported: 2011-10-06 15:32 UTC by Nathan Kinder
Modified: 2015-12-10 18:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 18:44:05 UTC


Attachments (Terms of Use)
Patch (2.17 KB, patch)
2011-10-06 15:36 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-10-06 15:32:19 UTC
There are a few compiler warnings showing up when compiling the account usability plug-in:

../ds.git/ldap/servers/plugins/acct_usability/acct_usability.c: In function ‘auc_create_response_ctrl’:
../ds.git/ldap/servers/plugins/acct_usability/acct_usability.c:245: warning: passing argument 1 of ‘slapi_get_pwpolicy’ from incompatible pointer type
../ds.git/ldap/servers/slapd/slapi-plugin.h:4917: note: expected ‘struct Slapi_DN *’ but argument is of type ‘char *’
../ds.git/ldap/servers/plugins/acct_usability/acct_usability.c: In function ‘auc_pre_search’:
../ds.git/ldap/servers/plugins/acct_usability/acct_usability.c:385: warning: implicit declaration of function ‘plugin_call_acl_plugin’

Comment 1 Nathan Kinder 2011-10-06 15:36:54 UTC
Created attachment 526727 [details]
Patch

Comment 2 Nathan Kinder 2011-10-06 15:53:23 UTC
Pushed to master.  Thanks to Rich for his review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 909 bytes, done.
Total 7 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   61ebfa9..334b965  master -> master

Comment 4 Rich Megginson 2012-01-10 20:18:33 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/243


Note You need to log in before you can comment on or make changes to this bug.